
#include <iostream>
#include <Parser.H>
#include <ParserError.H>
#include <ModeloGRFDiff.H>
#include <Ventana3D.H>
#include <string>

#define COMPILATION_DATE_STRING "23-jul-2001"



int main
(
   int    argc ,
   char * argv[]
)
{
   using namespace GRF ;

   ModeloGRFDiff * model = NULL ;
   Ventana3D * window = NULL ;

   if ( argc < 3 )
   {
      cerr << "error: la sintaxis es: grf <fichero1> <fichero2>"
           << endl << flush ;
      return 1 ;
   }

   int base = 1 ;

   Token::lexDebug = false ;

   if ( strcmp( argv[base], "-d" ) == 0 )
   {
      Token::lexDebug = true ;
      base ++ ;
   }

   cout << "grf difference viewer ver 1.0 (compiled: " << COMPILATION_DATE_STRING << ")" << flush ;

   try
   {
      model = new ModeloGRFDiff(argv[base],argv[base+1]);

      if ( model == NULL )
         throw ParserError("cannot create model array","main function");

      std::string wtitle = "grfdiff: ";

      wtitle += argv[base] ;
      wtitle += " - " ;
      wtitle += argv[base+1] ;

      window = new Ventana3D(model,wtitle.c_str(),800,800) ;

      if ( window == NULL )
         throw ParserError("cannot create window","main function");


      glutMainLoop() ;

   }
   catch( ParserError e )
   {
      cerr <<      e
           << endl << "          program interrupted."
           << endl
           << flush ;
   }

   if ( window != NULL )
      delete window ;

   if ( model != NULL )
      delete model ;

   cout << endl << flush ;

   return 0 ;
}
